unit KeyEntry;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, PasswordRichEdit;

type
  TfrmKeyEntry = class(TForm)
    Label2: TLabel;
    pbOK: TButton;
    pbCancel: TButton;
    edKey: TEdit;
    procedure pbOKClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    function Key(): string;
  end;

implementation

{$R *.dfm}

function TfrmKeyEntry.Key(): string;
begin
  Result := edKey.text;
end;

procedure TfrmKeyEntry.pbOKClick(Sender: TObject);
begin
  if (Key = '') then
    begin
    MessageDlg('You must specify a key for HMAC checksums', mtError, [mbOK], 0);
    end
  else
    begin
    ModalResult := mrOK;
    end;

end;

procedure TfrmKeyEntry.FormCreate(Sender: TObject);
begin
  edKey.Text := '';
  edKey.PasswordChar := '*';
end;

END.

